Package org.apache.sysds.runtime.transform.tokenize

## Class TokenizerPostHash

- java.lang.Object
- - org.apache.sysds.runtime.transform.tokenize.TokenizerPostHash

All Implemented Interfaces:
  `Serializable`, `TokenizerPost`

    public class TokenizerPostHash
    extends Object
    implements TokenizerPost

See Also:
  Serialized Form

### Constructor Summary

Constructors
`TokenizerPostHash​(org.apache.wink.json4j.JSONObject params, int numIdCols, int maxTokens, boolean wideFormat)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getNumCols()`
`long` `getNumRows​(long inRows)`
`Types.ValueType[]` `getOutSchema()`
`FrameBlock` `tokenizePost​(List<org.apache.sysds.runtime.transform.tokenize.Tokenizer.DocumentToTokens> tl, FrameBlock out)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TokenizerPostHash

    public TokenizerPostHash​(org.apache.wink.json4j.JSONObject params,
                             int numIdCols,
                             int maxTokens,
                             boolean wideFormat)
                      throws org.apache.wink.json4j.JSONException

Throws:
  `org.apache.wink.json4j.JSONException`

### Method Detail

#### tokenizePost

    public FrameBlock tokenizePost​(List<org.apache.sysds.runtime.transform.tokenize.Tokenizer.DocumentToTokens> tl,
                                   FrameBlock out)

Specified by:
  `tokenizePost` in interface `TokenizerPost`

#### getOutSchema

    public Types.ValueType[] getOutSchema()

Specified by:
  `getOutSchema` in interface `TokenizerPost`

#### getNumRows

    public long getNumRows​(long inRows)

Specified by:
  `getNumRows` in interface `TokenizerPost`

#### getNumCols

    public long getNumCols()

Specified by:
  `getNumCols` in interface `TokenizerPost`